View a markdown version of this page

DeleteStreamKey - Amazon IVS

DeleteStreamKey

Deletes the stream key for the specified ARN, so it can no longer be used to stream.

Request Syntax

POST /DeleteStreamKey HTTP/1.1 Content-type: application/json { "arn": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

arn

ARN of the stream key to be deleted.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: arn:aws:ivs:[a-z0-9-]+:[0-9]+:stream-key/[a-zA-Z0-9-]+

Required: Yes

Response Syntax

HTTP/1.1 204

Response Elements

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

User does not have sufficient access to perform this action.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 403

PendingVerification

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

Your account is pending verification.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 403

ResourceNotFoundException

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

Request references a resource which does not exist.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 404

ValidationException

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

The input fails to satisfy the constraints specified by an AWS service.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: